function [N_PORTFOLIO, portfolioSorts]=portfolio_sort(breakpoint_percentiles,...
    months, N, sort_measures, span, ret_span, start_date_sample)

    T_all = size(sort_measures,1);
    N_BP = size(breakpoint_percentiles,1);
    N_PORTFOLIO = N_BP + 1;
    
    portfolioSorts = NaN(T_all,N);
    freq    = 12;
    lag     = 4;
    
    data_months = nan(1,size(form_months,2));
    for i=1:length(form_months)
        if (form_months(i)-4)>0
            data_months(i)=form_months(i)-4;
        elseif (form_months(i)-4)<=0
            data_months(i)=(form_months(i)-4)+12;
        end
    end
       
    for t = (12+1):T_all
        if (any(months(t)==data_months))==1
            measures_curr = sort_measures(t,~isnan(sort_measures(t,:)));
            breakpoints = zeros(N_BP,1);
            for i = 1:N_BP
                breakpoints(i) = prctile(measures_curr,breakpoint_percentiles(i));
            end

            for i = 1:N
                if (isnan(sort_measures(t,i)))
                    continue;
                end
                if (sort_measures(t,i)<=breakpoints(1))
                    portfolioSorts(t+4,i) = 1;
                elseif (sort_measures(t,i)>breakpoints(N_BP))
                    portfolioSorts(t+4,i) = N_BP+1;
                else
                    portfolioSorts(t+4,i) = find(sort_measures(t,i)<=breakpoints(2:N_BP) & sort_measures(t,i)>breakpoints(1:N_BP-1))+1;
                end
            end 
        end  
    end
    portfolioSorts = portfolioSorts(find(span == start_date_sample):find(span == ret_span(end)),:);
end