function F = dss_FC(Z, alpha_k, alpha_l, delta_k,...
                 beta, omega, eta, gamma, sigma_a, a, k)
    i   = Z(1); 
    z   = Z(2); 
    l   = Z(3); 
    m = log(beta);
    g_k = 0.5*eta*( 0 )^2 * exp(k);
    q_k = log(1+g_k); 
    w = omega * a;
    y    = exp(a)*exp(z)*exp(k)^(alpha_k)*exp(l)^(alpha_l);
    MP_k = exp(a)*exp(z)*alpha_k*exp(k)^(alpha_k-1)*exp(l)^(alpha_l);
    MP_l = exp(a)*exp(z)*alpha_l*exp(k)^(alpha_k)*exp(l)^(alpha_l-1);
    F(3) = exp(w) - MP_l;
    F(2) = exp(q_k) - (exp(m)*(MP_k+(1-delta_k)*exp(q_k)+0));
    F(1) =exp(k) -( (1-delta_k)*exp(k)+i);
end
