function [outputDates] = Util_YYYYMMdates(startDate, endDate)
   
    startyear   = CRSPyear(startDate);
    endyear     = CRSPyear(endDate);
    numyear     = endyear - startyear;
    
    block = 100*startyear + [1:12]';
    dates = block;
    for i = 1:numyear
        dates = [dates; block + 100*i];
    end
    dates = dates(dates>=startDate & dates<=endDate);
    
    outputDates = dates;
end

