function [rets, retxs, mvs, lmvs, nfirms, ind_data] = data_indret(ret_span, N, NIND, excluded_assets)
    %% Reading in the industry returns data;
    T_ret = size(ret_span,1);
    rets = zeros(T_ret,N);
    retxs = zeros(T_ret,N);
    mvs = zeros(T_ret,N);
    lmvs = NaN(T_ret,N);
    nfirms = zeros(T_ret,N);
    ind_data = zeros(1,size(setdiff([1:NIND],excluded_assets),2));
    ind_data = setdiff(1:NIND,excluded_assets);                    
    j = 0;
    for i = 1:NIND
        if (size(find(excluded_assets == i),1)==0)
            j = j+1;
            ind_data(j)=i;
            data_ret = csvread(['Data/Industry-files/industry',num2str(i),'.csv']);
            data_ret(data_ret == -99) = NaN;
            rets(:,j)  = data_ret(:,2);
            retxs(:,j) = data_ret(:,3);
            mvs(:,j) = data_ret(:,4);
            lmvs(2:end,j) = data_ret(1:end-1,4);
            nfirms(:,j) = data_ret(:,5);
            assert(size(data_ret,1) == T_ret);
        end
    end
end

