function [portfolioAssignments]=port_assign(portfolioSorts)
    N = size(portfolioSorts,2);
    T_all = size(portfolioSorts,1);
    portfolioAssignments = NaN(T_all,N);
    for t = 1:T_all
        for i = 1:N
            lastSort = portfolioSorts(t,i);
            if (~isnan(lastSort))
                for tau = 0:12-1
                    if (t+tau <= T_all)
                        portfolioAssignments(t+tau,i) = lastSort;
                    end
                end
            end
        end
    end
end