function [sector,sectorNum, Group] = util_sector(industry_name)
% Determines whether an industry is a durable (D), non-durable (ND), mining
% (M) or other (O);

if strcmp(industry_name,'Mining')
    sector = 'MU';
    sectorNum = 3;
    Group = 'No';;
elseif strcmp(industry_name,'Oil and gas extraction')
    sector = 'MU';
    sectorNum = 3;
    Group = 'Yes';
elseif strcmp(industry_name,'Mining (except oil and gas)')
    sector = 'MU';
    sectorNum = 3;
    Group = 'Yes';
elseif strcmp(industry_name,'Metal ore mining')
    sector = 'MU';
    sectorNum = 3;
    Group = 'No';;
elseif strcmp(industry_name,'Nonmetallic mineral mining and quarrying')
    sector = 'MU';
    sectorNum = 3;
    Group = 'No';;
elseif strcmp(industry_name,'Support activities for mining')
    sector = 'MU';
    sectorNum = 3;
    Group = 'Yes';
elseif strcmp(industry_name,'Support activities for mining)')
    sector = 'MU';
    sectorNum = 3;
    Group = 'Yes';
elseif strcmp(industry_name,'Electric power generation, transmission, and distribution')
    sector = 'MU';
    sectorNum = 3;
    Group = 'No';;
elseif strcmp(industry_name,'Electric and gas utilities')
    sector = 'MU';
    sectorNum = 3;
    Group = 'No';;
elseif strcmp(industry_name,'Natural gas distribution')
    sector = 'MU';
    sectorNum = 3;
    Group = 'No';;
elseif strcmp(industry_name,'Food')
    sector = 'ND';
    sectorNum = 2;
    Group = 'Yes';
elseif strcmp(industry_name,'Food, beverage, and tobacco' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'No';;
elseif strcmp(industry_name,'Beverage and tobacco product')
    sector = 'ND';
    sectorNum = 2;
    Group = 'Yes';
elseif strcmp(industry_name,'Textile mills')
    sector = 'ND';
    sectorNum = 2;
    Group = 'Yes';
elseif strcmp(industry_name,'Textiles and products' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'No';;
elseif strcmp(industry_name,'Textile product mills' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'Yes';
elseif strcmp(industry_name,'Apparel')
    sector = 'ND';
    sectorNum = 2;
    Group = 'Yes';
elseif strcmp(industry_name,'Apparel and leather goods' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'No';;
elseif strcmp(industry_name,'Leather and allied product' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'Yes';
elseif strcmp(industry_name,'Wood product' )
    sector = 'D';
    sectorNum = 1;
    Group = 'Yes';
elseif strcmp(industry_name,'Paper' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'Yes';
elseif strcmp(industry_name,'Printing and related support activities' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'Yes';
elseif strcmp(industry_name,'Petroleum and coal products' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'Yes';
elseif strcmp(industry_name,'Chemical' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'Yes';
elseif strcmp(industry_name,'Synthetic rubber' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'No';
elseif strcmp(industry_name,'Plastics and rubber products' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'Yes';
elseif strcmp(industry_name,'Nonmetallic mineral product' )
    sector = 'D';
    sectorNum = 1;
    Group = 'Yes';
elseif strcmp(industry_name,'Primary metal' )
    sector = 'D';
    sectorNum = 1;
    Group = 'Yes';
elseif strcmp(industry_name,'Iron and steel products' )
    sector = 'D';
    sectorNum = 1;
    Group = 'No';;
elseif strcmp(industry_name,'Fabricated metal product' )
    sector = 'D';
    sectorNum = 1;
    Group = 'Yes';
elseif strcmp(industry_name,'Machinery' )
    sector = 'D';
    sectorNum = 1;
    Group = 'Yes';
elseif strcmp(industry_name,'Computer and electronic product' )
    sector = 'D';
    sectorNum = 1;
    Group = 'Yes';
elseif strcmp(industry_name,'Computer and peripheral equipment' )
    sector = 'D';
    sectorNum = 1;
    Group = 'No';;
elseif strcmp(industry_name,'Communications equipment' )
    sector = 'D';
    sectorNum = 1;
    Group = 'No';;
elseif strcmp(industry_name,'Semiconductor and other electronic component' )
    sector = 'D';
    sectorNum = 1;
    Group = 'No';;
elseif strcmp(industry_name,'Electrical equipment, appliance, and component' )
    sector = 'D';
    sectorNum = 1;
    Group = 'Yes';
elseif strcmp(industry_name,'Transportation equipment' )
    sector = 'D';
    sectorNum = 1;
    Group = 'Yes';
elseif strcmp(industry_name,'Automobile and light duty motor vehicle' )
    sector = 'D';
    sectorNum = 1;
    Group = 'No';;
elseif strcmp(industry_name,'Motor vehicles and parts' )
    sector = 'D';
    sectorNum = 1;
    Group = 'No';;
elseif strcmp(industry_name,'Aerospace and miscellaneous transportation eq.' )
    sector = 'D';
    sectorNum = 1;
    Group = 'No';;
elseif strcmp(industry_name,'Furniture and related product')
    sector = 'D';
    sectorNum = 1;
    Group = 'Yes';
elseif strcmp(industry_name,'Miscellaneous' )
    sector = 'D';
    sectorNum = 1;
    Group = 'Yes';
elseif strcmp(industry_name,'Computers, communications eq., and semiconductors' )
    sector = 'D';
    sectorNum = 1;
    Group = 'No';;
elseif strcmp(industry_name,'Coal mining' )
    sector = 'MU';
    sectorNum = 3;
    Group = 'No';;
elseif strcmp(industry_name,'Plastics material and resin' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'No';;
elseif strcmp(industry_name,'Artificial and synthetic fibers and filaments' )
    sector = 'ND';
    sectorNum = 2;
    Group = 'No';;
end

